
Figure - Bug #112035
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111047 (New): AF-V2.0-小窗模式

【AF】【EVT】【小窗模式】应用以小窗模式打开后，应用内的内容没有按照比例缩放显示
2022-09-20 16:02 - CD Test赵飞

Status: CLOSED Start date: 2022-09-20

Priority: Normal Due date: 2022-09-27

Assignee: CD Test赵飞 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220920.alpha_0016

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220928.alpha_0022

Reproducibility: Every time Fixed Version: 2022-09-27

Test Type: IT Root cause: AOSP问题

Description

测试版本：FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220920.alpha_0016

【前提条件】

1、设备已开机

2、后台未运行任何应用

【测试步骤】

1、长按桌面上任意一个支持小窗的应用（如“设置”）

2、在弹出的菜单中点击“小窗”

3、查看小窗应用的内容显示

【预期结果】

3、小窗应用中的内容按照小窗大小缩放显示

【实际结果】

3、小窗应用中的内容没有缩放

【复现率】

5/5

【Log】

截图见附件

History

#1 - 2022-09-20 16:34 - CD FW-王伟

- Category changed from CD-FW to 窗口定制

#2 - 2022-09-26 17:15 - DL FW-张挽强

- File 2022-09-23 15-08-25 的屏幕截图.png added

- File 2022-09-23 15-08-38 的屏幕截图.png added

- File 如何获取系统中支持小窗模式开启的应用.pdf added

如附件所示 其他应用的布局是支持缩放比例的动态的修改.
如果系统设置布局不支持动态比列修改,请修改android:resizeableActivity="false" 参考附件文档

如果需要支持小窗,请适配布局

#3 - 2022-09-26 17:54 - DL FW-王琳

- Target version set to VX1_MCE_FSE_B sample_20221016

#4 - 2022-09-27 16:10 - CDTS-TEST 周婷

- Assignee changed from DL FW-张挽强 to DL FW-王琳

- Target version changed from VX1_MCE_FSE_B sample_20221016 to VX1_MCE_FSE_V2.0_20220930

需要跟settings 程天颖 适配， 沟通下需更改内容

#5 - 2022-09-27 16:41 - DL FW-王琳

- Assignee changed from DL FW-王琳 to CD FW-程天颖

#6 - 2022-09-27 17:01 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD AF-陈羽杰

#7 - 2022-09-27 18:14 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

#8 - 2022-09-27 18:17 - CD AF-陈羽杰

- % Done changed from 0 to 60

- Degrated changed from -- to No

- Verified Version set to AOSP问题

■ Current conclusion

已修复

■ My analysis

由于Settings修改为双屏显示，设计到的布局不支持等比缩放，目前的解决方案是禁止Settings的小窗模式功能。

■ Next action 

本地验证

#9 - 2022-09-27 18:38 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 60 to 100

- Resolution changed from -- to FIXED

- Verified Version deleted (AOSP问题)

- Fixed Version set to 2022-09-27

- Root cause set to AOSP问题

■ Current conclusion

本地已验证

■ My analysis

由于Settings修改为双屏显示，设计到的布局不支持等比缩放，目前的解决方案是禁止Settings的小窗模式功能。

■ submit url

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/152154
#10 - 2022-09-28 15:25 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220928.alpha_0022

验证版本：FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220928.alpha_0022

验证结果：PASS

暂时使用此解决方案，后续待客户提供小窗应用list后再确认是否需要针对settings适配小窗模式

#11 - 2022-09-28 15:25 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- Assignee changed from CD AF-陈羽杰 to CD Test赵飞

#12 - 2022-12-22 20:37 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152154 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix Small Window Bug1.Fix The small window mode is not scaledTC-RID: 1201-0201813IssueID: TS-R-BUG-112035Change-Id:

Ic5aa7ba82eb45c351fcfc0f2c46afc48a34706e0

Files

screenshot.jpg 178 KB 2022-09-20 CD Test赵飞

2022-09-23 15-08-25 的屏幕截图.png 110 KB 2022-09-26 DL FW-张挽强

2022-09-23 15-08-38 的屏幕截图.png 77.5 KB 2022-09-26 DL FW-张挽强

如何获取系统中支持小窗模式开启的应用.pdf 134 KB 2022-09-26 DL FW-张挽强
